# URLFilter (Crawler-commons 1.4 API)

Package crawlercommons.filters

## Class URLFilter

- java.lang.Object
- - crawlercommons.filters.URLFilter

Direct Known Subclasses:
  `BasicURLNormalizer`

    public abstract class URLFilter
    extends Object

### Constructor Summary

Constructors
`URLFilter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract String` `filter​(String urlString)` Returns a modified version of the input URL or null if the URL should be removed

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URLFilter

    public URLFilter()

### Method Detail

#### filter

    public abstract String filter​(String urlString)

Returns a modified version of the input URL or null if the URL should be removed

Parameters:
  `urlString` - a URL string to check against filter(s)
Returns:
  a filtered URL